<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>sizeof</title>
<link rel="stylesheet" type="text/css" href="../../src/self.css">
<meta name="description"    content="Z&auml;hlt die Menge eines Arrays">
<meta name="keywords"       content="SELFPHP, PHP, Array-Funktionen, sizeof">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-06T12:18+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsreferenz/array_funktionen/sizeof.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-06T12:18+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../../index.php // Funktionsreferenz == ../index.php // Array-Funktionen == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>Array-Funktionen</b></a></td>
</tr>
</table>
<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" width="110"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
    <td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%">
      <h2>sizeof</h2></td>
  </tr> 
  <tr>  
    <td bgcolor="#EEEEEE" class="doc" valign="top" align="center"> <img src="../../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite"> 
    </td>
    <td bgcolor="#FFFFFF" valign="top" nowrap> 
      <p> <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#befehl"><b>Befehl</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#version"><b>Version</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beschreibung"><b>Beschreibung</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel1"><b>Beispiel1</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ausgabe1"><b>Ausgabe1</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel2"><b>Beispiel2</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ausgabe2"><b>Ausgabe2</b></a><br>
      </p>
    </td>
  </tr>
  <tr>
    <td colspan=3 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td>
  </tr>
</table>



<h2 class="Sh2"><a class="an" name="befehl">Befehl</a></h2>



<table width="100%" cellpadding=10><tr>
    <td class="xmpcode" bgcolor="#E4EEFF">int <b>sizeof</b>(array array)</td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="version">Version</a></h2>

<table width="100%" cellpadding=10 height="32">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="20"> 
      <p> PHP 3, PHP 4 &gt;= 4.0b1</p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beschreibung">Beschreibung</a></h2>

<table width="100%" cellpadding=10 height="146">
  <tr> 
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>Die Funktion sizeof() z&auml;hlt die Anzahl der Elemente eines Arrays 
        und gibt das<br>
        Ergebnis zur&uuml;ck. Diese Funktion ist sehr n&uuml;tzlich bei Schleifen, 
        Sie k&ouml;nnen das<br>
        Ergebnis f&uuml;r die Durchl&auml;ufe nutzen (siehe Beispiel 2). </p>
      <p>Siehe auch:</p>
      <ul>
        <li><a href="count.html">count()</a></li>
      </ul>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beispiel1">Beispiel1</a></h2>

<table width="100%" cellpadding=10 height="62">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <pre>&lt;?PHP<br>$array = array(&quot;banane&quot;,&quot;birne&quot;,&quot;apfel&quot;); <br>echo  sizeof($array); <br>?&gt;</pre>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="ausgabe1">Ausgabe1</a></h2>

<table width="100%" cellpadding=10 height="30">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>3</p>
      </td>
  </tr></table>


<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beispiel2">Beispiel2</a></h2>

<table width="100%" cellpadding=10 height="62">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <pre>&lt;?PHP<br>$array = array(&quot;banane&quot;,&quot;birne&quot;,&quot;apfel&quot;); <br>for($x=0;$x&lt;sizeof($array);$x++){<br>  echo $array[$x] . &quot;&lt;br&gt;&quot;;<br>}<br>?&gt;</pre>
      <p></p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="ausgabe2">Ausgabe2</a></h2>

<table width="100%" cellpadding=10 height="30">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>banane<br>
        birne<br>
        apfel</p>
      <p></p>
    </td>
  </tr></table>


<p>&nbsp;</p>

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="sort.html"><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="sort.html"><b>sort</b></a> </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="shuffle.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="shuffle.html"><b>shuffle</b></a> </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="bottom"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>Array-Funktionen</b></a></td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>